//=======================================================================
// This file is a component of PsyMUD written by Peter M. Brown
// copyright            : (C) 2000 by Peter M Brown
// email                : pmbrown@cablespeed.com
//=======================================================================
//                                                                          
// This program is free software; you can redistribute it and/or modify  
// it under the terms of the GNU General Public License as published by  
// the Free Software Foundation; either version 2 of the License, or     
// (at your option) any later version. Pleae keep all headers and 
// documentation (including development credits) intact.
//                                                                          
//=======================================================================


#ifndef CPSYMUDCOMMANDPROCESSOR_H
#define	CPSYMUDCOMMANDPROCESSOR_H

#include <vector>
#include "CPsyMudCommand.h"


class CPsyMudCommandProcessor
{
private:
	vector<CPsyMudCommand *>	m_Commands ;

public:
	CPsyMudCommandProcessor() ;
	~CPsyMudCommandProcessor() ;

	const vector<CPsyMudCommand *> GetCommands() const 		{ return m_Commands ; }

	CPsyMudCommand * FindCommand(const char * szCommand) const ;

} ;


extern CPsyMudCommandProcessor g_CommandProcessor ;

#endif // #define	CPSYMUDCOMMANDPROCESSOR_H
