//=======================================================================
// This file is a component of PsyMUD written by Peter M. Brown
// copyright            : (C) 2000 by Peter M Brown
// email                : pmbrown@cablespeed.com
//=======================================================================
//                                                                          
// This program is free software; you can redistribute it and/or modify  
// it under the terms of the GNU General Public License as published by  
// the Free Software Foundation; either version 2 of the License, or     
// (at your option) any later version. Pleae keep all headers and 
// documentation (including development credits) intact.
//                                                                          
//=======================================================================


#include "CPsyMudItem.h"


const bool CPsyMudItem::HasAlias(const string& sAlias) const
{
	for (vector<string>::const_iterator p = m_Aliases.begin() ; p != m_Aliases.end() ; p++)
	{
		if (strncmp((*p).c_str(), sAlias.c_str(), sAlias.length()) == 0)
		{
			return true ;
		}
	}

	return false ;
}