//=======================================================================
// This file is a component of PsyMUD written by Peter M. Brown
// copyright            : (C) 2000 by Peter M Brown
// email                : pmbrown@cablespeed.com
//=======================================================================
//                                                                          
// This program is free software; you can redistribute it and/or modify  
// it under the terms of the GNU General Public License as published by  
// the Free Software Foundation; either version 2 of the License, or     
// (at your option) any later version. Pleae keep all headers and 
// documentation (including development credits) intact.
//                                                                          
//=======================================================================

#ifndef SIZE_H
#define SIZE_H

enum PsyMudSizeConstant
{
	sizeNone= -100,			// something which has no mass.
	sizeMicroscopic,		// small like a bacterium
	sizeMiniscule,			// small like an ant
	sizeTiny,				// small like a mouse
	sizeSmall,				// small like a cat
	sizeMedium = -2,		// size like a dwarf
	sizeHumanSize = 0,		// human size
	sizeLarge = 25,			// size like a car
	sizeHuge = 35,			// size like a 20-foot giant, or like a train car or something
	sizeEnormous = 50,		// size like a cruise ship
	sizePlanetary = 90,		// size like a planet
	sizeUnlimited = 100		// unmeasurable size
} ;

#endif		//#define SIZE_H

