//=======================================================================
// This file is a component of PsyMUD written by Peter M. Brown
// copyright            : (C) 2000 by Peter M Brown
// email                : pmbrown@cablespeed.com
//=======================================================================
//                                                                          
// This program is free software; you can redistribute it and/or modify  
// it under the terms of the GNU General Public License as published by  
// the Free Software Foundation; either version 2 of the License, or     
// (at your option) any later version. Pleae keep all headers and 
// documentation (including development credits) intact.
//                                                                          
//=======================================================================



#include "CPsyMudCmdQuit.h"
#include "CPsyMudApp.h"

CPsyMudCmdQuit::CPsyMudCmdQuit()
		: CPsyMudCommand("quit", "General", "usage: quit\n\r\tQuit the game.\n\r")
{
}

void CPsyMudCmdQuit::ProcessCommand(const string& szRestOfCommandLine, CPsyMudPCharacter * pch)
{
	// TO DO: Verify the quit requirements

	pch->GetConnectionInfo()->AddToOutputBuffer("Goodbye.\r\n") ;
	pch->GetConnectionInfo()->SetUserWantsToQuit(true) ;
}