//=======================================================================
// This file is a component of PsyMUD written by Peter M. Brown
// copyright            : (C) 2000 by Peter M Brown
// email                : pmbrown@cablespeed.com
//=======================================================================
//                                                                          
// This program is free software; you can redistribute it and/or modify  
// it under the terms of the GNU General Public License as published by  
// the Free Software Foundation; either version 2 of the License, or     
// (at your option) any later version. Pleae keep all headers and 
// documentation (including development credits) intact.
//                                                                          
//=======================================================================



#include "CPsyMudCommand.h"

CPsyMudCommand::CPsyMudCommand(char * szCommandText, char * szCategory, char * szHelpText)
{
	m_sCommandText = szCommandText ;
	m_sHelpText = szHelpText ;
}

CPsyMudCommand::~CPsyMudCommand()
{
	// nothing to add to here just yet
}

void CPsyMudCommand::ShowHelp(CPsyMudPCharacter * pch)
{
	// might want to combine into one AddToOutputBuffer
	// if the multiple adds prove costly in time
	pch->GetConnectionInfo()->AddToOutputBuffer("Help for Command : ") ;
	pch->GetConnectionInfo()->AddToOutputBuffer(m_sCommandText.c_str()) ;
	pch->GetConnectionInfo()->AddToOutputBuffer("\n\r") ;
	pch->GetConnectionInfo()->AddToOutputBuffer(m_sHelpText.c_str()) ;
}