//=======================================================================
// This file is a component of PsyMUD written by Peter M. Brown
// copyright            : (C) 2000 by Peter M Brown
// email                : pmbrown@cablespeed.com
//=======================================================================
//                                                                          
// This program is free software; you can redistribute it and/or modify  
// it under the terms of the GNU General Public License as published by  
// the Free Software Foundation; either version 2 of the License, or     
// (at your option) any later version. Pleae keep all headers and 
// documentation (including development credits) intact.
//                                                                          
//=======================================================================

#include "CPsyMudObject.h"
#include <stdio.h>	// for sprintf
#include <stdlib.h>	// for strncmp

const string CPsyMudObject::GetObjectIDAsString() const
{
	// I thought for sure that C had the reverse of atoi, but I guess not,
	// so instead I have to go through sprintf (which is likely a lot
	// slower than an itoa function would be, but I don't feel like creating
	// one right now

	char s[20] ;

	sprintf(s, "%u",GetObjectID()) ;

	return string(s) ;
}

