//=======================================================================
// This file is a component of PsyMUD written by Peter M. Brown
// copyright            : (C) 2000 by Peter M Brown
// email                : pmbrown@cablespeed.com
//=======================================================================
//                                                                          
// This program is free software; you can redistribute it and/or modify  
// it under the terms of the GNU General Public License as published by  
// the Free Software Foundation; either version 2 of the License, or     
// (at your option) any later version. Pleae keep all headers and 
// documentation (including development credits) intact.
//                                                                          
//=======================================================================




#ifndef STRINGUTIL_H
#define	STRINGUTIL_H

#include <string>

void SplitString(string &sLeftSide, string &sRightSide, const string &sSource, const char chSplitOn = ' ') ;

string StripLeadingBlanks(const string& sSource) ;
string StripTrailingBlanks(const string& sSource) ;
string RemoveEverythingBetweenTags(string& str, const char * szStartTag, const char * szEndTag) ;

#endif	// #define	STRINGUTIL_H